Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.impl
Class TaskDeadlinesServiceImpl

    java.lang.Object
      org.jbpm.task.impl.TaskDeadlinesServiceImpl

All Implemented Interfaces:
  TaskDeadlinesService

    @ApplicationScoped
    public class TaskDeadlinesServiceImpl

extends Object
implements TaskDeadlinesService

Nested Class Summary
`class` | `TaskDeadlinesServiceImpl.ScheduledTaskDeadline`

Field Summary
`protected List<Status>` | `validStatuses`

Constructor Summary
`TaskDeadlinesServiceImpl()`

Method Summary
`void` | `init()`
`protected boolean` | `isInValidStatus(Task task)`
`void` | `schedule(long taskId, long deadlineId, long delay)`
`protected void` | `setValidStatuses()`
`void` | `unschedule(long taskId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### validStatuses

    protected List<Status> validStatuses

Constructor Detail

### TaskDeadlinesServiceImpl

    public TaskDeadlinesServiceImpl()

Method Detail

### init

    @PostConstruct
    public void init()

### schedule

    public void schedule(long taskId,
                         long deadlineId,
                         long delay)

  Specified by:
    `schedule` in interface `TaskDeadlinesService`

### unschedule

    public void unschedule(long taskId)

  Specified by:
    `unschedule` in interface `TaskDeadlinesService`

### setValidStatuses

    protected void setValidStatuses()

### isInValidStatus

    protected boolean isInValidStatus(Task task)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.